Subject: Re: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Oct 2015 15:15:14 +0300

> From: Rainer M Krug <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 16 Oct 2015 21:22:57 +0200
> 
> OK - now it looks as follow:
> 
> ,----
> |   /* Attempt to hunt down bug#16028.  */
> |   SET_FRAME_GARBAGED (f);
> | 
> |   /* Added by rkrug */
> |   f->fonts_changed = true;
> |   
> |   recompute_basic_faces (f);
> | 
> |   do_pending_window_change (0);
> `----
> 
> > Please add that here, and see if the crashes go away.
> 
> OK.
> 
> I'll leave the session open till Monday - so let me know if you need
> some further information.
> 
> On Monday, I will re-compile and start again as I did this time.

Please update from the Git repository and recompile before you
continue on Monday.  I've committed the above change, and also made a
couple of other changes, and hope those changes will fix the crashes.

Thanks.